package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class NewAgentFileTransfer {

    public NewAgentFileTransfer() {}

    public NewAgentFileTransfer(String agentName, String name, String mimeType, String size, String uuid, String workRequestId, String method) {
        this.agentName = agentName;
        this.name = name;
        this.mimeType = mimeType;
        this.uuid = uuid;
        this.workRequestId = workRequestId;
        this.method = method;
        this.size = size;
    }

    @Override
    public String toString() {
        return "NewAgentFileTransfer{" +
                "agentName='" + agentName + '\'' +
                ", name='" + name + '\'' +
                ", mimeType=" + mimeType +
                ", size=" + size +
                ", uuid=" + uuid +
                ", workRequestId=" + workRequestId +
                ", method='" + method + '\'' +
                '}';
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMimeType() {
        return mimeType;
    }

    public void setMimeType(String mimeType) {
        this.mimeType = mimeType;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getWorkRequestId() {
        return workRequestId;
    }

    public void setWorkRequestId(String workRequestId) {
        this.workRequestId = workRequestId;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    //{"apiVersion":"1.0","type":"notification","body":{"agentName":"user 60002","name":"2020-06-22_10-02-30.png","mimeType":"image/png",
    // "size":"24579","uuid":"B278F740-F3A4-4783-BF3E-7D360B099510","workRequestId":"E8I2oQYASF-qOrP2BnMgEQ","method":"newAgentFileTransfer"},"authToken":""}
    @JsonProperty("agentName")
    private String agentName;

    @JsonProperty("name")
    private String name;

    @JsonProperty("mimeType")
    private String mimeType;

    @JsonProperty("size")
    private String size;

    @JsonProperty("uuid")
    private String uuid;

    @JsonProperty("workRequestId")
    private String workRequestId;

    @JsonProperty("method")
    private String method;
}
